@import '@styles/variables';

.form {
  display: grid;
  row-gap: 16px;
  background-color: $color-white;
  margin-top: 13px;
  margin-inline: -16px;
  padding: 16px 16px 20px;

  @include custom-min-width($md) {
    row-gap: 20px;
    border-radius: 4px;
    border: 1px solid $border-input-color;
    margin-top: 25px;
    margin-inline: 0;
    padding: 24px;
  }
}

.group {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.label {
  font-size: 12px;
  font-weight: 400;
  line-height: 120%;
  margin-top: 16px;
  margin-bottom: 8px;

  @include custom-min-width($md) {
    margin-top: 20px;
    margin-bottom: 12px;
  }

  &.required {
    margin-bottom: 0;
  }
}
